Add reaction
curl --request POST \
--url https://{appid}.api-{region}.cometchat.io/v3/messages/{id}/reactions/{reaction} \
--header 'apikey: <api-key>' \
--header 'onBehalfOf: <onbehalfof>'import requests
url = "https://{appid}.api-{region}.cometchat.io/v3/messages/{id}/reactions/{reaction}"
headers = {
"onBehalfOf": "<onbehalfof>",
"apikey": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {onBehalfOf: '<onbehalfof>', apikey: '<api-key>'}};
fetch('https://{appid}.api-{region}.cometchat.io/v3/messages/{id}/reactions/{reaction}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "2",
"conversationId": "superhero1_user_superhero2",
"sender": "superhero1",
"receiverType": "user",
"receiver": "superhero2",
"category": "message",
"type": "text",
"data": {
"text": "Hi,",
"entities": {
"sender": {
"entity": {
"uid": "superhero1",
"name": "Iron Man",
"role": "default",
"status": "offline"
},
"entityType": "user"
},
"receiver": {
"entity": {
"uid": "superhero2",
"name": "Captain America",
"role": "default",
"status": "offline",
"conversationId": "superhero1_user_superhero2"
},
"entityType": "user"
}
},
"reactions": [
{
"reaction": ":reaction",
"count": 1
},
{
"reaction": "๐
",
"count": 1
},
{
"reaction": "๐",
"count": 1,
"reactedByMe": true
},
{
"reaction": "๐คจ",
"count": 1,
"reactedByMe": true
}
]
},
"sentAt": 1700210266,
"updatedAt": 1700210266
}
}Messages
Add reaction
Adds a reaction to a message.
POST
/
messages
/
{id}
/
reactions
/
{reaction}
Add reaction
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Headers
UID of the user on whose behalf the action is performed.
Path Parameters
Id of the message to react.
reaction to react.
Response
200 - application/json
Adding reaction
Show child attributes
Show child attributes
โI